# frozen_string_literal: true

require_relative 'lib/meridian/version'

Gem::Specification.new do |spec|
  spec.name          = 'meridian'
  spec.version       = Meridian::VERSION
  spec.authors       = ['Ethan Turkeltaub']
  spec.email         = ['ethan.turkeltaub@hey.com']

  spec.summary       = 'Easier time zones for Ruby and Rails.'
  spec.description   = 'Easier time zones for Ruby and Rails.'
  spec.homepage      = 'https://github.com/ethnt/meridian'
  spec.license       = 'MIT'
  spec.required_ruby_version = Gem::Requirement.new('>= 2.7.0')

  spec.metadata['homepage_uri'] = spec.homepage
  spec.metadata['source_code_uri'] = 'https://github.com/ethnt/meridian'
  spec.metadata['changelog_uri'] = 'https://github.com/ethnt/meridian/blob/master/CHANGELOG.md'

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_runtime_dependency 'dry-configurable', '~> 0.11.6'
  spec.add_runtime_dependency 'tzinfo', '~> 2.0.3'
  spec.add_runtime_dependency 'tzinfo-data', '~> 1.2020.4'
end
